de.esprit.common.lic

## Class LicenseNdfHandler

- java.lang.Object
- - de.esprit.appsuite.nio.ndf.NdfHandler
  - - de.esprit.common.lic.LicenseNdfHandler

- All Implemented Interfaces:
    NdfConstants, NdfParseControl, SimpleLogSupport

      public class LicenseNdfHandler
      extends NdfHandler

  This class ...
  Author:
    Rainer Buesch

- - ### Field Summary

    - ### Fields inherited from interface de.esprit.appsuite.nio.ndf.NdfConstants

      `allowedInNames, blockCommentChar, booleanFalseChar, booleanFalseLiteral, booleanTrueChar, booleanTrueLiteral, lineCommentChar, ndfAuthorKey, ndfBreakChars, ndfDocCreatedKey, ndfDocTypeKey, ndfDocVersion, ndfDocVersionKey, nullLiteral, quotingBreakChars, separatorLineChar, structureChar, textBreakChars, textParagraph`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LicenseNdfHandler()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `foundHeaderProperties(NdfProperties props)` Called when properties are found as top level elements.
    `NdfProperties` | `getLicenseProps()`
    `void` | `startDocument(FileInfo fileInfo, NdfProperties headerProps)` Called when document parsing is about to start.

    - ### Methods inherited from class de.esprit.appsuite.nio.ndf.NdfHandler

      `acceptDocumentVersion, asStuffedText, checkDocumentType, doneArray, doneDocument, doneObject, doneProperty, doneProperty, doneTable, foundArrayValue, foundArrayValue, foundBodyText, foundTableCell, foundTableRow, foundTableRow, getCurrentNestingLevel, getCurrentStructure, getFileInfo, getLineNumber, getLogChannel, getMaxNestingLevel, getStructure, isLogDebug, isLogVerbose, logDebug, logDump, logError, logError, logFatal, logInfo, logVerbose, logWarning, setLogChannel, startArray, startObject, startProperty, startTable`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LicenseNdfHandler

          public LicenseNdfHandler()

  - ### Method Detail

    - #### startDocument

          public void startDocument(FileInfo fileInfo,
                           NdfProperties headerProps)
                             throws java.lang.Exception

      Description copied from class: `NdfHandler`
      Called when document parsing is about to start.
      Overrides:
        `startDocument` in class `NdfHandler`
        `headerProps` - the header properties found in the document
      Throws:
        `java.lang.Exception`

    - #### foundHeaderProperties

          public void foundHeaderProperties(NdfProperties props)
                                     throws java.lang.Exception

      Description copied from class: `NdfHandler`
      Called when properties are found as top level elements.
      Overrides:
        `foundHeaderProperties` in class `NdfHandler`
      Throws:
        `java.lang.Exception`

    - #### getLicenseProps

          public NdfProperties getLicenseProps()

Copyright © 2013 EsprIT-Systems. All Rights Reserved.